Date: Thursday, February 8, 2018 @ 12:21:41
  Author: anthraxx
Revision: 290274

archrelease: copy trunk to community-x86_64

Added:
  metasploit/repos/community-x86_64/PKGBUILD
    (from rev 290273, metasploit/trunk/PKGBUILD)
  metasploit/repos/community-x86_64/metasploit-dont-restrict-aggregator.patch
    (from rev 290273, 
metasploit/trunk/metasploit-dont-restrict-aggregator.patch)
Deleted:
  metasploit/repos/community-x86_64/PKGBUILD
  metasploit/repos/community-x86_64/metasploit-dont-restrict-aggregator.patch

-------------------------------------------+
 PKGBUILD                                  |  124 ++++++++++++++--------------
 metasploit-dont-restrict-aggregator.patch |  112 ++++++++++++-------------
 2 files changed, 118 insertions(+), 118 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-02-08 12:21:33 UTC (rev 290273)
+++ PKGBUILD    2018-02-08 12:21:41 UTC (rev 290274)
@@ -1,62 +0,0 @@
-# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
-# Contributor: Sabart Otto - Seberm <seberm[at]seberm[dot]com>
-# Contributor: Tobias Veit - nIcE <m.on.key.tobi[at]gmail[dot]com>
-
-pkgname=metasploit
-pkgver=4.16.34
-pkgrel=1
-pkgdesc='Advanced open-source platform for developing, testing, and using 
exploit code'
-url='https://www.metasploit.com/'
-arch=('x86_64')
-license=('BSD')
-depends=('ruby2.4' 'libpcap' 'postgresql-libs' 'ruby2.4-bundler' 'sqlite' 
'libxslt' 'git')
-optdepends=('ruby-pg: database support')
-options=('!strip' '!emptydirs')
-source=(${pkgname}-${pkgver}.tar.gz::https://github.com/rapid7/metasploit-framework/archive/${pkgver}.tar.gz
-        metasploit-dont-restrict-aggregator.patch)
-sha256sums=('7cdbae2c8ef866ef97328cb759f1178fd81e7e8a9c444e3500ae5b854b5c10f1'
-            '28008fbc74852a0e939bde209a0faa715eae08a56b2e10c53e1535d50a727609')
-sha512sums=('eb1ea3ba53be5cb6a85689f840413e3179619a9a44e4ca19d7d947cf6091c2107e975023f9b30d6b993cf754fe6bb0b771c88933f47e7427f4b666398e66ac38'
-            
'fcc1d1f8f2f5f337de25d674571403d62c24501f91c04914e8a9d0960fe7f248f66b44ad83f014d8e30a5b394882bd35588f226b53cec607ddd122f133eaa361')
-
-prepare() {
-  cd ${pkgname}-framework-${pkgver}
-  bundle-2.4 config build.nokogiri --use-system-libraries
-  sed 's|git ls-files|find -type f|' -i metasploit-framework.gemspec
-  patch -R -p1 < "${srcdir}/metasploit-dont-restrict-aggregator.patch"
-}
-
-build() {
-  cd ${pkgname}-framework-${pkgver}
-  bundle-2.4 install -j"$(nproc)" --no-cache --deployment
-  find vendor/bundle/ruby -exec chmod o+r '{}' \;
-}
-
-package() {
-  cd ${pkgname}-framework-${pkgver}
-
-  install -d "${pkgdir}/opt/${pkgname}" "${pkgdir}/usr/bin"
-  cp -r . "${pkgdir}/opt/${pkgname}"
-
-  for f in "${pkgdir}"/opt/${pkgname}/msf*; do
-    local _msffile="${pkgdir}/usr/bin/`basename "${f}"`"
-    echo -e "#!/bin/sh\nBUNDLE_GEMFILE=/opt/${pkgname}/Gemfile bundle-2.4 exec 
ruby-2.4 /opt/${pkgname}/`basename "${f}"` \"\$@\"" > "${_msffile}"
-    chmod 755 "${_msffile}"
-  done
-
-  (cd "${pkgdir}/opt/${pkgname}"
-    for f in tools/*/*.rb; do
-      install -Dm 755 "${f}" ".${f}"
-      echo -e "#!/bin/sh\nBUNDLE_GEMFILE=/opt/${pkgname}/Gemfile bundle-2.4 
exec ruby-2.4 /opt/${pkgname}/."${f}" \"\$@\"" > "${f}"
-      chmod 755 "${f}"
-    done
-  )
-
-  install -Dm 644 external/zsh/_* -t "${pkgdir}/usr/share/zsh/site-functions"
-  install -Dm 644 LICENSE COPYING -t "${pkgdir}/usr/share/licenses/${pkgname}"
-  install -d "${pkgdir}/usr/share/doc"
-  mv "${pkgdir}/opt/${pkgname}/documentation" 
"${pkgdir}/usr/share/doc/${pkgname}"
-  rm "${pkgdir}/usr/bin/msfupdate"
-}
-
-# vim: ts=2 sw=2 et:

Copied: metasploit/repos/community-x86_64/PKGBUILD (from rev 290273, 
metasploit/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-02-08 12:21:41 UTC (rev 290274)
@@ -0,0 +1,62 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Sabart Otto - Seberm <seberm[at]seberm[dot]com>
+# Contributor: Tobias Veit - nIcE <m.on.key.tobi[at]gmail[dot]com>
+
+pkgname=metasploit
+pkgver=4.16.36
+pkgrel=1
+pkgdesc='Advanced open-source platform for developing, testing, and using 
exploit code'
+url='https://www.metasploit.com/'
+arch=('x86_64')
+license=('BSD')
+depends=('ruby2.4' 'libpcap' 'postgresql-libs' 'ruby2.4-bundler' 'sqlite' 
'libxslt' 'git')
+optdepends=('ruby-pg: database support')
+options=('!strip' '!emptydirs')
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/rapid7/metasploit-framework/archive/${pkgver}.tar.gz
+        metasploit-dont-restrict-aggregator.patch)
+sha256sums=('26ece1135e78fb17cac3a81bf4078300a525a7a60e4259b2c54857090b14a380'
+            '28008fbc74852a0e939bde209a0faa715eae08a56b2e10c53e1535d50a727609')
+sha512sums=('37a4f1364bb2281459a38e09125c1686886721094240bf5a5c126d27636a2d86567d57401ce1d621966551a6871126c1a4a14865089ec445505d61629eda22a0'
+            
'fcc1d1f8f2f5f337de25d674571403d62c24501f91c04914e8a9d0960fe7f248f66b44ad83f014d8e30a5b394882bd35588f226b53cec607ddd122f133eaa361')
+
+prepare() {
+  cd ${pkgname}-framework-${pkgver}
+  bundle-2.4 config build.nokogiri --use-system-libraries
+  sed 's|git ls-files|find -type f|' -i metasploit-framework.gemspec
+  patch -R -p1 < "${srcdir}/metasploit-dont-restrict-aggregator.patch"
+}
+
+build() {
+  cd ${pkgname}-framework-${pkgver}
+  bundle-2.4 install -j"$(nproc)" --no-cache --deployment
+  find vendor/bundle/ruby -exec chmod o+r '{}' \;
+}
+
+package() {
+  cd ${pkgname}-framework-${pkgver}
+
+  install -d "${pkgdir}/opt/${pkgname}" "${pkgdir}/usr/bin"
+  cp -r . "${pkgdir}/opt/${pkgname}"
+
+  for f in "${pkgdir}"/opt/${pkgname}/msf*; do
+    local _msffile="${pkgdir}/usr/bin/`basename "${f}"`"
+    echo -e "#!/bin/sh\nBUNDLE_GEMFILE=/opt/${pkgname}/Gemfile bundle-2.4 exec 
ruby-2.4 /opt/${pkgname}/`basename "${f}"` \"\$@\"" > "${_msffile}"
+    chmod 755 "${_msffile}"
+  done
+
+  (cd "${pkgdir}/opt/${pkgname}"
+    for f in tools/*/*.rb; do
+      install -Dm 755 "${f}" ".${f}"
+      echo -e "#!/bin/sh\nBUNDLE_GEMFILE=/opt/${pkgname}/Gemfile bundle-2.4 
exec ruby-2.4 /opt/${pkgname}/."${f}" \"\$@\"" > "${f}"
+      chmod 755 "${f}"
+    done
+  )
+
+  install -Dm 644 external/zsh/_* -t "${pkgdir}/usr/share/zsh/site-functions"
+  install -Dm 644 LICENSE COPYING -t "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -d "${pkgdir}/usr/share/doc"
+  mv "${pkgdir}/opt/${pkgname}/documentation" 
"${pkgdir}/usr/share/doc/${pkgname}"
+  rm "${pkgdir}/usr/bin/msfupdate"
+}
+
+# vim: ts=2 sw=2 et:

Deleted: metasploit-dont-restrict-aggregator.patch
===================================================================
--- metasploit-dont-restrict-aggregator.patch   2018-02-08 12:21:33 UTC (rev 
290273)
+++ metasploit-dont-restrict-aggregator.patch   2018-02-08 12:21:41 UTC (rev 
290274)
@@ -1,56 +0,0 @@
-From bf6540585feaf9f404cdad3d8c242917531e8c2a Mon Sep 17 00:00:00 2001
-From: Jeffrey Martin <jeffrey_mar...@rapid7.com>
-Date: Fri, 19 Jan 2018 16:15:09 -0600
-Subject: [PATCH] lock google-protobuf and grpc on 4.x
-
----
- Gemfile      | 8 ++++++++
- Gemfile.lock | 4 +++-
- 2 files changed, 11 insertions(+), 1 deletion(-)
-
-From 5458b58a74a035e141a939dff0a85eff1330bdae Mon Sep 17 00:00:00 2001
-From: Jeffrey Martin <jeffrey_mar...@rapid7.com>
-Date: Wed, 18 Oct 2017 13:21:02 -0500
-Subject: [PATCH] restrict aggregator on arm for now
-
----
- Gemfile      | 5 ++++-
- 1 files changed, 4 insertions(+), 1 deletions(-)
-
-diff --git a/Gemfile b/Gemfile
-index 012578df9fc..b7b4351007a 100755
---- a/Gemfile
-+++ b/Gemfile
-@@ -23,8 +23,14 @@ group :development do
-     'x86-mingw32', 'x64-mingw32',
-     'x86_64-linux', 'x86-linux',
-     'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
--  gem 'google-protobuf', '3.5.1'
-+  gem 'google-protobuf', '3.5.1' if [
-+    'x86-mingw32', 'x64-mingw32',
-+    'x86_64-linux', 'x86-linux',
-+    'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
--  gem 'grpc', '1.8.3'
-+  gem 'grpc', '1.8.3'  if [
-+    'x86-mingw32', 'x64-mingw32',
-+    'x86_64-linux', 'x86-linux',
-+    'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
- end
- 
- group :development, :test do
-diff --git a/Gemfile b/Gemfile
-index 12b6341b41c..012578df9fc 100755
---- a/Gemfile
-+++ b/Gemfile
-@@ -19,7 +19,10 @@ group :development do
-   # module documentation
-   gem 'octokit'
-   # Metasploit::Aggregator external session proxy
--  gem 'metasploit-aggregator'
-+  gem 'metasploit-aggregator' if [
-+    'x86-mingw32', 'x64-mingw32',
-+    'x86_64-linux', 'x86-linux',
-+    'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
-   gem 'google-protobuf', '3.5.1'
-   gem 'grpc', '1.8.3'
- end

Copied: 
metasploit/repos/community-x86_64/metasploit-dont-restrict-aggregator.patch 
(from rev 290273, metasploit/trunk/metasploit-dont-restrict-aggregator.patch)
===================================================================
--- metasploit-dont-restrict-aggregator.patch                           (rev 0)
+++ metasploit-dont-restrict-aggregator.patch   2018-02-08 12:21:41 UTC (rev 
290274)
@@ -0,0 +1,56 @@
+From bf6540585feaf9f404cdad3d8c242917531e8c2a Mon Sep 17 00:00:00 2001
+From: Jeffrey Martin <jeffrey_mar...@rapid7.com>
+Date: Fri, 19 Jan 2018 16:15:09 -0600
+Subject: [PATCH] lock google-protobuf and grpc on 4.x
+
+---
+ Gemfile      | 8 ++++++++
+ Gemfile.lock | 4 +++-
+ 2 files changed, 11 insertions(+), 1 deletion(-)
+
+From 5458b58a74a035e141a939dff0a85eff1330bdae Mon Sep 17 00:00:00 2001
+From: Jeffrey Martin <jeffrey_mar...@rapid7.com>
+Date: Wed, 18 Oct 2017 13:21:02 -0500
+Subject: [PATCH] restrict aggregator on arm for now
+
+---
+ Gemfile      | 5 ++++-
+ 1 files changed, 4 insertions(+), 1 deletions(-)
+
+diff --git a/Gemfile b/Gemfile
+index 012578df9fc..b7b4351007a 100755
+--- a/Gemfile
++++ b/Gemfile
+@@ -23,8 +23,14 @@ group :development do
+     'x86-mingw32', 'x64-mingw32',
+     'x86_64-linux', 'x86-linux',
+     'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
+-  gem 'google-protobuf', '3.5.1'
++  gem 'google-protobuf', '3.5.1' if [
++    'x86-mingw32', 'x64-mingw32',
++    'x86_64-linux', 'x86-linux',
++    'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
+-  gem 'grpc', '1.8.3'
++  gem 'grpc', '1.8.3'  if [
++    'x86-mingw32', 'x64-mingw32',
++    'x86_64-linux', 'x86-linux',
++    'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
+ end
+ 
+ group :development, :test do
+diff --git a/Gemfile b/Gemfile
+index 12b6341b41c..012578df9fc 100755
+--- a/Gemfile
++++ b/Gemfile
+@@ -19,7 +19,10 @@ group :development do
+   # module documentation
+   gem 'octokit'
+   # Metasploit::Aggregator external session proxy
+-  gem 'metasploit-aggregator'
++  gem 'metasploit-aggregator' if [
++    'x86-mingw32', 'x64-mingw32',
++    'x86_64-linux', 'x86-linux',
++    'darwin'].include?(RUBY_PLATFORM.gsub(/.*darwin.*/, 'darwin'))
+   gem 'google-protobuf', '3.5.1'
+   gem 'grpc', '1.8.3'
+ end

Reply via email to